body,
html {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  height: 100%;
  width: 100%;
}

body {
  display: flex;
  flex-direction: row;
}

* {
  box-sizing: border-box;
}

.snackbar {
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
  background-color: #333;
  color: #fff;
  padding: 10px 20px;
  border-radius: 5px;
  z-index: 1000;
  opacity: 0;
  transition: opacity 0.5s;
  margin-top: 10px;
  display: flex;
  flex-grow: 1;
  min-width: 300px;
  width: 80%;
  max-width: 600px;
  justify-content: space-between;
  align-items: center;
}

.snackbar.show {
  opacity: 1;
}

.snackbar-error {
  background-color: #e74c3c;
}

.snackbar-success {
  background-color: #2ecc71;
}

.snackbar-info {
  background-color: #202223;
}

.snackbar-close {
  margin-inline-start: 20px;
  cursor: pointer;
  font-weight: bold;
}

.divider {
  margin-top: 40px;
  margin-bottom: 20px;
  margin-inline-start: 20px;
  margin-inline-end: 20px;
  text-align: center;
  position: relative;
}

.divider::before,
.divider::after {
  content: '';
  position: absolute;
  top: 50%;
  width: 45%;
  height: 1px;
  background-color: #ddd;
}

.divider::before {
  inset-inline-start: 0;
}

.divider::after {
  inset-inline-end: 0;
}

.left-panel,
.right-panel {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  /* padding: 2rem; */
  margin: 5px;
  border-radius: 20px;
}

.left-panel {
  background: #1c1c1c;
  color: #fff;
  position: relative;
  overflow: hidden;
}

.right-panel {
  background: #fff;
}

.steps-indicator {
  display: flex;
  margin-bottom: 2rem;
}

.steps-indicator div {
  height: 2px;
  background: #000;
  flex: 1;
  margin: 0 0.5rem;
}

.steps-indicator div.active {
  background: #007bff;
}

/* .form-container {
  max-width: 400px;
  width: 100%;
  background: #fff;
  padding: 2rem;
  border-radius: 8px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
  margin: 0 auto;
} */

.form-container {
  max-width: 500px;
  width: 100%;
  background: #fff;
  /*     background: rgba(70, 140, 245, 0.676);*/

  padding: 2rem;
  border-radius: 8px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
  margin: 0 auto;
  box-sizing: border-box;
}

.form-container h2 {
  font-size: 24px;
  margin-bottom: 1rem;
}

.form-container input {
  width: 100%;
  padding: 12px;
  margin-bottom: 1rem;
  border: 1px solid #e0e0e0;
  border-radius: 8px;
  font-size: 14px;
}

.form-container button {
  width: 100%;
  padding: 12px;
  background: #000;
  color: #fff;
  border: none;
  border-radius: 8px;
  cursor: pointer;
  font-size: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  transition: background-color 0.3s ease;
}

.form-container button:hover {
  background: #322f2f;
}

.form-container button:disabled {
  background: #808080;
  cursor: not-allowed;
}

.form-container .google-btn {
  justify-content: center;

  transition: background-color 0.3s;
}

.forgotPasswordLink {
  color: #6366f1;
  text-decoration: none;
  font-size: 14px;
}

.forgotPasswordLink:hover {
  text-decoration: underline;
}

.google-btn:hover {
  background-color: #322f2f;
}

.google-btn img {
  width: 18px;
  height: 18px;
  margin-inline-end: 10px;
}

.form-container p {
  font-size: 14px;
  margin-top: 1rem;
}

.form-container a {
  color: #000;
  text-decoration: none;
  font-weight: bold;
}

.slider-container {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.slider-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  transition: opacity 0.5s ease-in-out;
  background-size: cover;
  background-position: center;
}

.slider-image.active {
  opacity: 1;
}

.slider-content {
  position: absolute;
  bottom: 3rem;
  inset-inline-start: 2rem;
  inset-inline-end: 2rem;
  text-align: center;
}

.slider-content h3 {
  font-size: 2rem;
  font-weight: 100;
  letter-spacing: 0.1em;
  color: rgba(255, 255, 255, 1);
  /* opacity: 0; */
  /* transition: opacity 1.5s ease-in;
  transition: opacity 0.4s ease-out; */
}

.slider-content h3.active {
  opacity: 1;
}

.slider-content p.active {
  opacity: 1;
}

.slider-content p {
  font-size: 16px;
  margin-bottom: 1rem;
  font-weight: 100;
  opacity: 0;
  transition: opacity 0.9s ease-in-out;
  color: rgba(255, 255, 255, 0.9);
}

.slider-dots {
  display: flex;
  justify-content: center;
}

.slider-dots span {
  width: 8px;
  height: 8px;
  background: rgba(255, 255, 255, 0.5);
  border-radius: 50%;
  margin: 0 4px;
  cursor: pointer;
}

.slider-dots span.active {
  background: #fff;
}

.loader {
  width: 20px;
  height: 20px;
  border: 2px solid #fff;
  border-radius: 50%;
  border-top-color: transparent;
  animation: spin 1s linear infinite;
  display: none;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}

@media (max-width: 768px) {
  body {
    flex-direction: column;
    overflow-x: hidden;
  }

  .right-panel {
    padding: 1rem;
  }

  .form-container {
    max-width: 100%;
    padding: 1.5rem;
    margin: 0 1rem;
  }

  .right-panel {
    min-height: 65vh;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .slider-content h3 {
    font-size: 2rem;
    font-weight: 100;
    letter-spacing: 0.08em;
    color: rgba(255, 255, 255, 0.9);
    /* opacity: 0;
    transition: opacity 0.3s ease-in-out; */
  }
}

.panel {
  width: 100%;
  height: 100vh;
  background-color: transparent;
  position: relative;
  overflow: hidden;
}

canvas {
  position: absolute;
  top: 0;
  inset-inline-start: 0;
  opacity: 0.9;
}

.word-container {
  /* position: relative; */
  /* top: 50%;
  left: 50%; */
  /* transform: translate(-50%, -50%); */
  z-index: 1;
}

.animated-word {
  /* position: absolute; */
  font-size: 5rem;
  font-weight: 200;
  letter-spacing: 0.1em;
  color: rgba(255, 255, 255, 0.9);
  opacity: 0;
  transition: all 1s;
  white-space: nowrap;
}

.visible {
  opacity: 1;
}
